POST
/v1/mgmt/authz/re/resourceAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
resource?string
ignoreTargetSetRelations?boolean
Load a list of defined relations for the given resource.
curl -X POST "https://api.descope.com/v1/mgmt/authz/re/resource" \ -H "Content-Type: application/json" \ -d '{}'{ "relations": [ { "resource": "string", "relationDefinition": "string", "namespace": "string", "target": "string", "targetNamespace": "string", "targetSetResource": "string", "targetSetRelationDefinition": "string", "targetSetRelationDefinitionNamespace": "string", "query": { "tenants": [ "string" ], "roles": [ "string" ], "text": "string", "statuses": [ "string" ], "ssoOnly": false, "withTestUser": true, "customAttributes": { "attribute-key": "attribute-value" } } } ]}export interface Response {relations?: {/** * Relation is defined on the resource */resource?: string/** * The name of the relation definition */relationDefinition?: string/** * The namespace of the relation definition */namespace?: string/** * The target for given the relation */target?: string/** * The target namespace for the relation */targetNamespace?: string/** * The targetSet target resource for the relation */targetSetResource?: string/** * The targetSet target relation definition for the relation */targetSetRelationDefinition?: string/** * The targetSet target relation definition namespace for the relation */targetSetRelationDefinitionNamespace?: string/** * User query for a list of users target */query?: UserQuery}[]}export interface UserQuery {/** * If not empty then users must be members of at least one of these tenants */tenants?: string[]/** * If not empty then users must have one of the specified roles */roles?: string[]/** * Full text search across relevant columns (displayName, email, tenants, status) */text?: string/** * If not empty then users must be in one of the given statuses */statuses?: string[]/** * Return only users that have SSO external IDs */ssoOnly?: boolean/** * Return also users which are test users */withTestUser?: boolean/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}} Was this helpful?